Subject: bug#3071: 23.0.92; accept-process-output broken on MacOS

From: Michael Albinus <[email-masked]>
Date: Tue, 21 Apr 2009 17:20:24 +0200

David Abrahams <[email-masked]> writes:

> Opening remote files/directories via TRAMP is wicked slow on MacOS; the
> same operation on a linux emacs running on the same hardware is
> practically instantaneous.  Turns out that applying the enclosed patch
> makes the symptom go away.  I'm not an expert on emacs process handling,
> but that tells me emacs probably isn't detecting output from the process
> until the timeout (usually 1 second for TRAMP) is reached.

Thanks a lot for your investigation! However, I believe your patch
towards tramp.el shall be only the last resort (and NOT the final
solution). One shall investigate, what's happening on mac.

Best regards, Michael.